Package com.xebialabs.xlrelease.api.v1.forms

# Class CreateRelease

java.lang.Object
com.xebialabs.xlrelease.api.v1.forms.CreateRelease

Direct Known Subclasses:
  `StartRelease`

public class CreateRelease extends Object
All the parameters needed to create a release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateRelease()`
  `CreateRelease(String title, String folderId, Map<String,Object> variables)`
  `CreateRelease(String title, String folderId, Map<String,String> variables, Map<String,String> releasePasswordVariables)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getAutoStart()`
  `String`
  `getFolderId()`
  `String`
  `getReleaseOwner()`
  `Map<String,String>`
  `getReleasePasswordVariables()`
  Deprecated.
  Please use `getVariables()`
  `String`
  `getReleaseTitle()`
  `Map<String,String>`
  `getReleaseVariables()`
  Deprecated.
  Please use `getVariables()`
  `Date`
  `getScheduledStartDate()`
  `String`
  `getStartedFromTaskId()`
  `Map<String,Object>`
  `getVariables()`
  `boolean`
  `hasScheduledStartDate()`
  `void`
  `setAutoStart(boolean autoStart)`
  `void`
  `setFolderId(String folderId)`
  `void`
  `setReleaseOwner(String releaseOwner)`
  `void`
  `setReleasePasswordVariables(Map<String,String> releasePasswordVariables)`
  Deprecated.
  Please use `setVariables(Map)`
  `void`
  `setReleaseTitle(String releaseTitle)`
  `void`
  `setReleaseVariables(Map<String,String> variables)`
  Deprecated.
  Please use `setVariables(Map)`
  `void`
  `setScheduledStartDate(Date scheduledStartDate)`
  `void`
  `setStartedFromTaskId(String startedFromTaskId)`
  `void`
  `setVariables(Map<String,Object> variables)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateRelease

    public CreateRelease()

  - ### CreateRelease

    public CreateRelease(String title, String folderId, Map<String,String> variables, Map<String,String> releasePasswordVariables)

  - ### CreateRelease

    public CreateRelease(String title, String folderId, Map<String,Object> variables)

- ## Method Details

  - ### getReleaseTitle

    public String getReleaseTitle()

  - ### setReleaseTitle

    public void setReleaseTitle(String releaseTitle)

  - ### getFolderId

    public String getFolderId()

  - ### setFolderId

    public void setFolderId(String folderId)

  - ### getReleaseVariables

    @Deprecated public Map<String,String> getReleaseVariables()
    Deprecated.
    Please use `getVariables()`

  - ### setReleaseVariables

    @Deprecated public void setReleaseVariables(Map<String,String> variables)
    Deprecated.
    Please use `setVariables(Map)`
    Parameters:
      `variables` - A map containing the release's variables and values: keys are variable names (eg: ${serverUrl}), values are the variable values (eg: "http://url.to.server").

  - ### getReleasePasswordVariables

    @Deprecated public Map<String,String> getReleasePasswordVariables()
    Deprecated.
    Please use `getVariables()`

  - ### setReleasePasswordVariables

    @Deprecated public void setReleasePasswordVariables(Map<String,String> releasePasswordVariables)
    Deprecated.
    Please use `setVariables(Map)`
    Parameters:
      `releasePasswordVariables` - A map containing the release's password variables and values: keys are variable names (eg: ${serverPassword}), values are the password (eg: "secret").

  - ### getScheduledStartDate

    public Date getScheduledStartDate()

  - ### setScheduledStartDate

    public void setScheduledStartDate(Date scheduledStartDate)

  - ### getAutoStart

    public boolean getAutoStart()

  - ### setAutoStart

    public void setAutoStart(boolean autoStart)

  - ### hasScheduledStartDate

    public boolean hasScheduledStartDate()

  - ### getVariables

    public Map<String,Object> getVariables()

  - ### setVariables

    public void setVariables(Map<String,Object> variables)
    Parameters:
      `variables` - A map containing the release's variables and values: keys are variable names (eg: serverPassword), values are the values of the variable (eg: "secret").

  - ### getStartedFromTaskId

    public String getStartedFromTaskId()

  - ### setStartedFromTaskId

    public void setStartedFromTaskId(String startedFromTaskId)

  - ### getReleaseOwner

    public String getReleaseOwner()

  - ### setReleaseOwner

    public void setReleaseOwner(String releaseOwner)